summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/mp3check/README4
-rw-r--r--audio/mp3check/mp3check.SlackBuild59
-rw-r--r--audio/mp3check/mp3check.info8
-rw-r--r--audio/mp3check/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/audio/mp3check/README b/audio/mp3check/README
new file mode 100644
index 0000000000..f97cf52bfb
--- /dev/null
+++ b/audio/mp3check/README
@@ -0,0 +1,4 @@
+mp3check can check MP3 files for consistency and print several errors and
+warnings, list stream attributes (in color). Layer 1, 2, 3, MPEG1.0+2.0 are
+currently supported. CRC check for layer 3. It can process directories
+recursively and also fix certain errors.
diff --git a/audio/mp3check/mp3check.SlackBuild b/audio/mp3check/mp3check.SlackBuild
new file mode 100644
index 0000000000..d327b9d930
--- /dev/null
+++ b/audio/mp3check/mp3check.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for mp3check
+# Written by Audrius Kažukauskas <neobug@tornado.ktu.lt>
+
+PRGNAM=mp3check
+VERSION=0.8.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog FAQ HISTORY INSTALL THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/mp3check/mp3check.info b/audio/mp3check/mp3check.info
new file mode 100644
index 0000000000..2c06936853
--- /dev/null
+++ b/audio/mp3check/mp3check.info
@@ -0,0 +1,8 @@
+PRGNAM="mp3check"
+VERSION="0.8.3"
+HOMEPAGE="http://jo.ath.cx/soft/mp3check/"
+DOWNLOAD="http://jo.ath.cx/soft/mp3check/mp3check-0.8.3.tar.gz"
+MD5SUM="09ff0568e7a94b8fd1a9303d2a53fe33"
+MAINTAINER="Audrius Kazukauskas"
+EMAIL="neobug@tornado.ktu.lt"
+APPROVED="rworkman"
diff --git a/audio/mp3check/slack-desc b/audio/mp3check/slack-desc
new file mode 100644
index 0000000000..0c935aa6d1
--- /dev/null
+++ b/audio/mp3check/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mp3check: mp3check (check MP3 files for integrity)
+mp3check:
+mp3check: mp3check can check MP3 files for consistency and print several
+mp3check: errors and warnings, list stream attributes (in color).
+mp3check: Layer 1, 2, 3, and MPEG1.0+2.0 are currently supported.
+mp3check: CRC check for layer 3. Can process directories recursively.
+mp3check: Can also fix certain errors.
+mp3check:
+mp3check: Homepage: http://jo.ath.cx/soft/mp3check/
+mp3check:
+mp3check: